[metadata]
name = igwn_exorciser
version = attr: igwn_exorciser.__version__
author = James Alexander Clark
author_email = james.clark@ligo.org
description = IGWN dHTC pool exorciser
license = GPL-3.0-or-later
license_files = LICENSE
long_description = file: README.md
long_description_content_type = text/markdown
# urls
project_urls =
	Bug Tracker = https://git.ligo.org/computing/distributed/igwn-pool-exorciser/-/issues
#Documentation = https://gwdatfind.readthedocs.io
	Source Code = https://git.ligo.org/computing/distributed/igwn-pool-exorciser
# classifiers
classifiers =
	Development Status :: 4 - Beta
	Programming Language :: Python
	Programming Language :: Python :: 3
	Programming Language :: Python :: 3.5
	Programming Language :: Python :: 3.6
	Programming Language :: Python :: 3.7
	Programming Language :: Python :: 3.8
	Programming Language :: Python :: 3.9
	Intended Audience :: Science/Research
	Natural Language :: English
	Topic :: Scientific/Engineering
	Topic :: Scientific/Engineering :: Astronomy
	Topic :: Scientific/Engineering :: Physics
  License :: OSI Approved :: GNU General Public License v3 (GPLv3)

[options]
packages = find:
python_requires = >=3.5
setup_requires =
	setuptools
install_requires =
  argcomplete
  htcondor
  PyYAML

[options.entry_points]
console_scripts =
  igwn-exorciser = igwn_exorciser.__main__:main
#
# [options.extras_require]
# docs =
#   numpydoc
#   sphinx >= 1.8.0
#   sphinx_automodapi
#   sphinx_rtd_theme
#   sphinx_tabs
# test =
#   pytest >= 2.8.0
#   pytest-cov
#
# [bdist_wheel]
# universal = 1

# -- tools

[flake8]
select =
	E,
	EXE,
	F,
	W,
ignore =
	E226,
	W503,
exclude =
	__pycache__,
	.eggs/,
	.git/,
	build/,
	docs/,
	venv/,
per-file-ignores =
	__init__.py:F401,F403
max-line-length = 100

[pylint.MASTER]
disable = import-error
